import { PropsWithChildren } from 'react';
import { FileStatus } from '../types';
declare const FileWrapper: React.FC<PropsWithChildren<{
    status: FileStatus;
}>>;
declare const FileHeader: React.FC<PropsWithChildren>;
declare const FileUploadProgress: React.FC<{
    progress: number;
}>;
declare const FileSizeLabel: React.FC<{
    size: number;
}>;
declare const FileUploadSuccessIcon: () => import("react/jsx-runtime").JSX.Element;
export { FileWrapper, FileHeader, FileUploadProgress, FileSizeLabel, FileUploadSuccessIcon };
